# Gannet

A RubyGem wrapp for [AirNow's API](https://docs.airnowapi.org/)

### Installation

```rb
gem install gannet
```

or in your Gemfile...

```rb
gem 'gannet'
```

### Configuration

You will need to set your AirNow `api_key`  before making requests. You can get one [here](https://docs.airnowapi.org/account/request).

```rb
Gannet.configure do |c|
  c.api_key = 'YOUR_API_KEY'
end
```

### Usage / Examples (TODO)

Once configured, you have access to the below methods. They correspond to the available endpoints, listed on AirNow's API.

```rb
query = { zipCode: 94118 }
Gannet::WebServices.forecast_zip_code(query)

# ... In Progress
```

Full documentation on what can be in `query` can be found in AirNow's API documentation [here](https://docs.airnowapi.org/)