$LOAD_PATH.push(File.expand_path('../lib', __FILE__))

require 'gannet/version'

Gem::Specification.new do |s|
  s.name        = 'gannet'
  s.version     = Gannet::VERSION
  s.authors     = ['John Akers']
  s.homepage    = 'https://github.com/johnakers/gannet'
  s.summary     = 'Wrapper for AirNow'
  s.description = 'RubyGem for AirNow, in order to get air quality information'
  s.licenses    = ['MIT']
  s.require_paths = ['lib']

  #
  s.add_dependency('httparty', '~> 0.18.1')

  #
  s.add_development_dependency('rspec', '~> 3.9.0')
  s.add_development_dependency('pry', '~> 0.13.1')

  # files
  s.files = `git ls-files`.split("\n")
end
